Overview | File | Class | Tree | Index | Help
| Jala 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class jala.db.DataType

    Object
       |
       +--jala.db.DataType

class jala.db.DataType

Instances of this class represent a data type. Each instance contains the code number as defined in java.sql.Types, the name of the data type as defined in java.sql.Types and optional creation parameters allowed for this data type.
Defined in Database.js

Constructor Summary
`jala.db.DataType (<Number> type, <String> typeName, <String> params)` Returns a newly created DataType instance.

Method Summary
`String` | `getParams()` Returns the creation parameter string of this data type
`Number` | `getType()` Returns the sql type code number as defined in java.sql.Types
`String` | `getTypeName()` Returns the type name of this data type, which can be used in sql queries.
`Boolean` | `needsQuotes()` Returns true if values for this data type should be surrounded by (single) quotes.

Constructor Detail

### jala.db.DataType

    jala.db.DataType(<Number> type, <String> typeName, <String> params)

Returns a newly created DataType instance.

Parameters:

`type` - The sql code number of this data type

`typeName` - The type name of this data type, as used within sql statements

`params` - Optional creation parameters allowed for this data type.

Returns:

A newly created instance of DataType.

Method Detail

### getParams

    String getParams()

Returns the creation parameter string of this data type

Returns:

The creation parameter string of this data type

### getType

    Number getType()

Returns the sql type code number as defined in java.sql.Types

Returns:

The sql type code number of this data type

### getTypeName

    String getTypeName()

Returns the type name of this data type, which can be used in sql queries.

Returns:

The type name of this data type

### needsQuotes

    Boolean needsQuotes()

Returns true if values for this data type should be surrounded by (single) quotes.

Returns:

True if values for this data type should be surrounded by quotes, false if not

Overview | File | Class | Tree | Index | Help
| Jala 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Documentation generated by JSDoc on Wed Apr 4 17:06:49 2007